# Interface InitializeCollectionOptions

Options for the initializeCollection() function.

interface InitializeCollectionOptions {
onInitializeWarning?: EventCallback<InitializeWarningEvent>;
target?: InitializableBase<InitializableBaseProperties>;
}

#####
Index

### Properties

onInitializeWarning?
target?

##
Properties

### `Optional` onInitializeWarning

onInitializeWarning?: EventCallback<InitializeWarningEvent>

An event callback for handling errors thrown by collection items with failureMode "warn".

### `Optional` target

target?: InitializableBase<InitializableBaseProperties>

The target to include in the InitializeWarningEvent.